
QGIS Application - Bug report #3862

world-readable postgresql account passwords in QGIS.conf

2011-06-01 04:09 PM - Sandro Santilli

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13920

Description

I've seen ~/.config/QuantumGIS/QGIS.conf is created as world-readable, and contains posgresql account passwords...

Looking for other examples I've found vlc and transmission configs also having some passwords, and they are properly created with

permissions 0600.

BTW, there's no appropriate Component value for this ticket

Related issues:

Related to QGIS Application - Bug report # 5959: WMS password visible Closed 2012-07-06

Duplicated by QGIS Application - Feature request # 4823: Add warning when sav... Closed 2012-01-16

History

#1 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-01-22 11:57 PM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Open to Closed

- Resolution set to fixed

implemented in commit:72c04ce8

#3 - 2013-06-27 05:25 AM - Jürgen Fischer

- Subject changed from world-readable posgresql account passwords in QGIS.conf to world-readable postgresql account passwords in QGIS.conf
